package org.nl.acs.opc;

import org.nl.acs.device_driver.driver.ItemValue;
import org.openscada.opc.lib.da.Group;

/**
 * @author ldjun
 * @version 1.0
 * @date 2023年02月01日 11:26
 * @desc desc
 */
public interface OpcServerService {

    /**
     * 重新加载
     */
    void reload();

    /**
     * 获取服务器
     * @param var1
     * @return
     */
    Group getServer(String var1);

    /**
     * 获取服务器
     * @param var1
     * @return
     */
    Group getServerByNewConn(String var1);

    /**
     * 写入整数
     * @param var1
     * @param var2
     */
    void writeInteger(String var1, ItemValue... var2);

    /**
     * 写入整数
     * @param var1
     * @param var2
     */
    void writeIntegerByNewConn(String var1, ItemValue... var2);

    /**
     * 清除服务器
     * @param var1
     */
    void clearServer(String var1);

    void cleanGroups(String var1);

}
